import request from 'libs/request'

/*
** @decs 获取小区列表
*/
export function fetchAgencyList (data) {
  data.store = data.tools_0 || ''
  data.keyword = data.searchKey
  return request.get('agency/queryList', {params: data})
}

export function createAgency (data) {
  return request.post('agency/add', data)
}

export function fetchAgencyDetail (agency_id) {
  return request.get('agency/detail', { params: { agency_user_id: agency_id } })
}

export function updateAgency (data) {
  return request.post('agency/update', data)
}

export function deleteAgency (strIds) {
  return request.post('agency/delete', { strIds })
}